[arch-commits] Commit in opera/repos (3 files)

daniel at archlinux.org daniel at archlinux.org
Wed Oct 22 13:54:57 EDT 2008


    Date: Wednesday, October 22, 2008 @ 13:54:57
  Author: daniel
Revision: 16858

Merged revisions 16847,16857 via svnmerge from 
svn+ssh://daniel@svn.archlinux.org/home/svn-packages/opera/trunk

........
  r16847 | daniel | 2008-10-22 17:53:01 +0200 (Wed, 22 Oct 2008) | 1 line
  
  Added patch for better Qt4 appearance
........
  r16857 | daniel | 2008-10-22 19:53:34 +0200 (Wed, 22 Oct 2008) | 1 line
  
  upgpkg: opera 9.61-1
........

Added:
  opera/repos/extra-i686/opera-qt4-theme.patch
    (from rev 16857, opera/trunk/opera-qt4-theme.patch)
Modified:
  opera/repos/extra-i686/	(properties)
  opera/repos/extra-i686/PKGBUILD

-----------------------+
 PKGBUILD              |   22 ++++++++++++++--------
 opera-qt4-theme.patch |   11 +++++++++++
 2 files changed, 25 insertions(+), 8 deletions(-)


Property changes on: opera/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /opera/trunk:1-14566
   + /opera/trunk:1-16857

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-10-22 17:53:34 UTC (rev 16857)
+++ extra-i686/PKGBUILD	2008-10-22 17:54:57 UTC (rev 16858)
@@ -3,31 +3,37 @@
 # Contributor: dorphell <dorphell at archlinux.org>
 
 pkgname=opera
-pkgver=9.60
+pkgver=9.61
 pkgrel=1
 pkgdesc="The Opera web browser"
 url="http://www.opera.com/"
 depends=('qt')
 license=('custom:opera')
 arch=('i686' 'x86_64')
-source=(http://ftp.opera.com/pub/opera/linux/${pkgver/./}/final/en/i386/opera-${pkgver}.gcc4-qt4.i386.tar.bz2 opera.desktop opera_logo48.png)
-md5sums=('7d822ed370700e4d246b7ff26ac3ea9c'
-	'f99bef1a9200abe5a5cda78665cddc84'
-        'a270c65b8d4f8e2e76439f417ea44265')
+source=(http://ftp.opera.com/pub/opera/linux/${pkgver/./}/final/en/i386/opera-${pkgver}.gcc4-qt4.i386.tar.bz2 opera.desktop opera_logo48.png opera-qt4-theme.patch)
+md5sums=('ef895e80f26915fdedc0c5eaee486009'
+         'f99bef1a9200abe5a5cda78665cddc84'
+         'a270c65b8d4f8e2e76439f417ea44265'
+         'e977071ea5f09b36820367bf6e4dc3e1')
 
 [ "$CARCH" = "x86_64" ] && depends=('qt3')
 [ "$CARCH" = "x86_64" ] && source=(http://ftp.opera.com/pub/opera/linux/${pkgver/./}/final/en/x86_64/opera-${pkgver}.gcc4-shared-qt3.x86_64.tar.bz2 opera.desktop opera_logo48.png)
-[ "$CARCH" = "x86_64" ] &&  md5sums=('e86833e3da8effefc65e657691fd4588'
+[ "$CARCH" = "x86_64" ] &&  md5sums=('ab7d0fa42a1579d8dcf0f865f43e5504'
          'f99bef1a9200abe5a5cda78665cddc84'
          'a270c65b8d4f8e2e76439f417ea44265')
 build() {
 if [ "$CARCH" = "x86_64" ]; then
-       cd ${startdir}/src/opera-${pkgver}-2444.gcc4-shared-qt3.x86_64
+       cd ${startdir}/src/opera-${pkgver}-2456.gcc4-shared-qt3.x86_64
        sed 's|/usr/X11R6/lib/mozilla/plugins=1|/usr/lib/mozilla/plugins=1|' -i usr/share/opera/ini/pluginpath.ini || return 1
-  else cd ${startdir}/src/opera-${pkgver}-2444.gcc4-qt4.i386
+  else cd ${startdir}/src/opera-${pkgver}-2456.gcc4-qt4.i386
        sed 's|/usr/X11R6/lib/mozilla/plugins=1|/usr/lib/mozilla/plugins=1|' -i usr/share/opera/ini/pluginpath.ini || return 1
 fi
    ./install.sh DESTDIR=${startdir}/pkg
+   if [ "$CARCH" = "i686" ]; then
+	pushd ${startdir}/pkg/usr/bin
+	patch -Np0 -i ${startdir}/src/opera-qt4-theme.patch || return 1
+	popd
+   fi
    install -D -m 644 ${startdir}/src/opera.desktop ${startdir}/pkg/usr/share/applications/opera.desktop
    install -D -m 644 LICENSE ${startdir}/pkg/usr/share/licenses/opera/license.txt
    install -D -m 644 ${startdir}/src/opera_logo48.png ${startdir}/pkg/usr/share/opera/images/opera_48x48.png

Copied: opera/repos/extra-i686/opera-qt4-theme.patch (from rev 16857, opera/trunk/opera-qt4-theme.patch)
===================================================================
--- extra-i686/opera-qt4-theme.patch	                        (rev 0)
+++ extra-i686/opera-qt4-theme.patch	2008-10-22 17:54:57 UTC (rev 16858)
@@ -0,0 +1,11 @@
+--- opera.orig	2008-10-22 19:37:21.000000000 +0200
++++ opera	2008-10-22 19:38:13.000000000 +0200
+@@ -30,7 +30,7 @@
+ done
+ test -z "$toset" || die Missing parameter for $arg
+ 
+-test "${_QTSTYLE_FROM_CMDLINE_}" = 'NO' && test -f "$HOME/.qt/qtrc" && _OPERA_QTSTYLE=`sed -n 's/^style=//p' $HOME/.qt/qtrc` && test "$_OPERA_QTSTYLE" && set -- "$@" -style "$_OPERA_QTSTYLE"
++test "${_QTSTYLE_FROM_CMDLINE_}" = 'NO' && test -f "$HOME/.config/Trolltech.conf" && _OPERA_QTSTYLE=`sed -n 's/^style=//p' $HOME/.config/Trolltech.conf` && test "$_OPERA_QTSTYLE" && set -- "$@" -style "$_OPERA_QTSTYLE"
+ 
+ 
+ # Add ending path divider "/" if missing, so execution won't fail




More information about the arch-commits mailing list